// For compilers that support precompilation, includes "wx/wx.h".
#include "wx/wxprec.h"

// for all others, include the necessary headers (this file is usually all you
// need because it includes almost all "standard" wxWidgets headers)
#ifndef WX_PRECOMP
    #include "wx/wx.h"
#endif

extern "C" {

#include "lastwave.h"

}

#include "terminalCtrl.h"
#include "wxmain.h"


// Create a new application object
IMPLEMENT_APP    (MyApp)

IMPLEMENT_DYNAMIC_CLASS    (MyApp, wxApp)

BEGIN_EVENT_TABLE(MyApp, wxApp)
END_EVENT_TABLE()




MyApp *myApp;

bool MyApp::OnInit()
{
    // Create the main frame window
    terminal = new TerminalFrame((wxFrame *) NULL, _T("Terminal"),
                                                wxPoint(50, 50), wxSize(450, 340));


    SetTopWindow(terminal);
    terminal->Show(true);
    terminal->textCtrl->SetFocus();

    myApp = this;
    
    LWInit();
    
    return true;
}




// ??? WIN

/*
 void wxAssert(int,wchar_t const *,int,wchar_t const *,wchar_t const *)
 {
 }
#ifdef __WXDEBUG__
 void  wxAppConsole::OnAssert(wchar_t const *,int,wchar_t const *,wchar_t const *)
 {
 }
#endif __WXDEBUG__
 */





